<?php $postid = get_the_ID(); ?>
<?php
	global $product;
	$percent_display = $percent = wpcf_function()->get_raised_percent(); 
	$percent = ($percent >= 100) ? 100 : $percent;
	$total = wpcf_function()->get_total_fund($postid);
	$goal = wpcf_function()->get_total_goal($postid);
	if ($total > 0 && $goal > 0  ) {
		$percent_display =  number_format($total / $goal * 100, 2, '.', '');
	}
	$funding_goal = get_post_meta($postid, '_nf_funding_goal', true);
	$raised = 0;
	$total_raised = wpcf_function()->get_total_fund();
	if ($total_raised){
		$raised = $total_raised;
	}
	$thumbnail = 'post-thumbnail';
	if(isset($thumbnail_size) && $thumbnail_size){
		$thumbnail = $thumbnail_size;
	}
?>
<div <?php post_class( 'tm-wpcf-listing-default' ); ?>>
	<div class="listing-inner">
		<?php if ( $show_thumb == 'yes' && has_post_thumbnail( $postid ) ) : ?>
		<div class="listing-thumbnail">
			<a href="<?php the_permalink() ?>"><?php echo get_the_post_thumbnail( $postid, $feature_thumb_image_size, array( 'class' => 'img-fullwidth' ) ); ?></a>
			<div class="listing-categories">
				<?php echo wc_get_product_category_list( $product->get_id(), ' ', '<span class="posted_in">', '</span>' ); ?>
			</div>
		</div>
		<?php endif; ?>

		<div class="listing-content">
			<div class="camapign-time_remaining">
				<?php get_template_part( 'wpcftemplate/woocommerce/basic/include/loop/time_remaining'); ?>
			</div> 

			<div class="listing-title clearfix">
				<h4 class="title">
					<a href="<?php  echo get_permalink(); ?> "><?php echo get_the_title(); ?></a>
				</h4>
			</div>
			

			<div class="progress-raised">
				<div class="label-raised"><?php echo esc_html__('Raised: ', 'mascot-core-kologi-wp') ?></div>
				<div class="value-raised"><?php echo esc_html($percent); ?>%</div>
			</div>
			
			<div class="tm-sc-progress-bar" data-percent="<?php echo esc_attr( $percent );?>" data-unit-right="%">
				<div class="progress-holder">
					<div class="progress-content"></div>
				</div>
			</div>
			<!-- End Campaign Raised -->

			<div class="campaign-goal">
				<span class="label-goal"><?php echo esc_html__('Goal:', 'mascot-core-kologi-wp'); ?></span>
				<span class="value-goal"><?php echo wc_price( $funding_goal ); ?></span>
			</div>


			<?php mascot_core_kologi_wp_get_shortcode_template_part( 'button', null, 'wpcf-listing/tpl', $params, false );?>
		</div>   
	</div>
</div>